"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateOpenApiDefinition = void 0;
const js_yaml_1 = __importDefault(require("js-yaml"));
const fs_1 = __importDefault(require("fs"));
exports.generateOpenApiDefinition = (options) => {
    const { projectName, projectDescription } = options;
    const data = {
        openapi: '3.0.0',
        info: {
            title: projectName,
            description: projectDescription,
            version: '0.0.1',
        },
        paths: {
            '/test': {
                get: {
                    summary: 'Default test function',
                    responses: {
                        '200': {
                            description: 'A successful response',
                        },
                        '500': {
                            description: 'An unsuccessful response',
                        },
                    },
                },
            },
        },
    };
    const yamlStr = js_yaml_1.default.safeDump(data);
    fs_1.default.writeFileSync('openApiDefinition.yaml', yamlStr, 'utf-8');
};
